2001-12-13
  Fixed delimiter-bug.
  Translated
2001-12-12
  Added Finnish menu translations.
  Added yudit.ttf from Peter Soos.
  Prepeare release 2.5 within days.
2001-12-11
  Fixed SFontTTF to take external encoding with :encoding.
  Added guide for platform/encoding.
2001-12-09
  SIO.cpp fixes, printing fixes.
  yudit.default.preview.command should be removed for new 2.5 version
  in users'
    ~/.yudit/yudit.properties 
  because no it takes only command for preview. 
2001-12-08
  Fixed shaping bug with first line in nextly read file 
  having Arabic.
  Fixed tatweel (again :)
  Added some FIXME comments in isTransparent.
  Changed SIO.cpp quite a bit.
2001-12-06
  Added sample for arabic, removed space from transparent chars
2001-12-05
  Made a half-hearted attempt to implement the 
  Unicode implementation of shaping - failed. Have check why. Old hack is used.
  Added experimental:
  0644 0622  -> FEF5 0000 0000 FEF6
  0644 0623  -> FEF7 0000 0000 FEF8
  0644 0625  -> FEF9 0000 0000 FEFA
  0644 0627  -> FEFB 0000 0000 FEFC
  This is only for experiment. STextData is glyph buffered!
  Added ArabicMono and ArabicComp
2001-12-04
  Very basic without ligatures. Wow! Many thanks to Mohammed Elzubeir!
  MIK.my from Alexander Shopov
2001-12-03
  patched category.txt. bumap does not handle 0!!!
  patched arabic, but it will be good only if I have new STextData.
  fixed undo, linetype.
  added Finnish FAQ. 
2001-12-01
  Added glyphinfo: noshape: for characters unshapable.
  Added delete/erase for YuditInput. 
  Composed glyph fallback font drawing fix. (Draw one after the 
  other , not on top of each other.)
  Small fixes to deshape and shape converters.
  Added composing Arabic kmap.
2001-11-29
  -1 shape. SS_SHAPE_SINGLE in STextData.cpp should be defined if fails to work
  fixed a serious bug in setLayout.
  fixed history buffer.
  Further optimized code. What is left is moving border to panel, so
  that you can create Widgets wihtout fancy stuff.
2001-11-28
  Shaping (Arabic) works. Windows port almost finished.
  Licence change.
  If combining glyph is not available for presentation form, I 
  combine, similarily to overstrike. Except I write one glyph after
  the other.
  Fixed fontwidth problem for reverse glyphs, move problem for filedialog.
2001-11-23
  Added chineese.po from Joe Man <trmetal@yahoo.com.hk>
2001-10-22
  STextIndex.cpp: getShape, reShape and shape.my
  should be create and we have shaping.
2001-10-22
  Mouse capture. Tital rewrite of resize and some window stuff.
  Improved X11 preformance. Label bug fixed (redraw-> clip missing)
2001-10-20
  Rewriting setLayout to forceLayout. Not preferring setLayout any more.
  Made copying strictly adherent to GNU version 2. 
2001-10-12
  Added 
   az  Vasif Cabbarli <azerb_linux@hotmail.com>
   es + new Spanish.kmap Juan Rafael Fernández García <jrfern@bigfoot.com>
   sl + fixes Roman Maurer <roman.maurer@amis.net>
  Fixed:
   Speed problem on externap map based file types.
   SUniMap.cpp hacked. Imposed a limit of 10 characters for combining.
   Need a better SUniMap.cpp SBMap.cpp
   There is a bug in XManager PC X Server. Workaround added.
2001-10-10
  Final touches, added one patch to kanji.hwd. 
  Changes dimension to geometry in yudit.properties.
  Rearranges keys and removed one in SFraahand.cpp
  Added es,bg,fr,hu,ja re-polished hu,ha,sr for utf-8 
  Realease waits for translations.
2001-10-09
  Added (in comments)
    yudit.editor.left.foreground=black
    yudit.editor.right.foreground=blue
    yudit.editor.background=black
  Added freehand (Handwriting Recognition) input method, 
  that is internally supported.
2001-11-05
  Fixed non-spacing mark problem introduced by glyph cacheing.
  Made progress in swidget/SFreeHand.cpp and stoolkit/SHWConverter.cpp
  Total redesign needed later.
2001-11-02
  Fixed property loading. Empty newlines were ignored.
  Added a few transliterations as default.
2001-11-01
  Fixed shift-jis converter bug.
  Fixed man page for uniprint
  Make stoolkit/hw for handwriting data
2001-10-31
  Started on swidget/SHandPad
2001-10-30
  Started on swidget/SDrawing
2001-10-28
  Making certain methods inline in SString made binary twice as big.
  Rolled back SString inlines - they did not improve speed that much anyway.
  Fixed font issues, made new fontsizes.
  Fixed property comment '#' ends with '\' bug.
  Optimized memory usage of a Glyph. Now it takes much less memory.
  It also speeded up a bit when loading a file.  Memory is still a concern.
2001-10-28
  Optimizing code with gprof.
  Split off SHShared for hashtable because it abuses vectorSize.
  (Vectorsize refers to a non-continuous vector.)
  Fixed start-up slowness, (font was loaded twice, with size 16 too).
  Workingwith big files is still a problem.
2001-10-27
  Updated doc/hu/FAQ.TXT.in 
  Updated doc/ja/FAQ.TXT.in 
2001-10-26
  Prepearing for 2.4.8 release.
  Added  yudit.editor.dimension to properties and
  the correspondig -d or -dimension command line option.
  need to update docs.
  Changed default font and dimension
  Changed mytool/uni/ISO002.TXT to allow for space used in iso-646.my 
    -schumacher-clean-bold-r-normal--16-160-75-75-c-80-iso646.1991-irv
  so that [20] is not displayed anymore for this font.
2001-10-25
  Removed yudit-2.4.patch6.txt
  Added yudit-2.4.patch7.txt 
    gettext bug fix
  Added yudit-2.4.patch8.txt
    gettext makefile fix
    removed c++ library dependence
  Fixed spec and added a template of it to doc/yudit-spec-templace.txt
  Updated  CHANGELOG.TXT
2001-10-24
  Added yudit-2.4.patch6.txt
     gettext bug workaround
  Raplaced SGML.kmap by Jernej Kovacic <jkovacic@email.si>
  Raplaced TeX.kmap by Jernej Kovacic <jkovacic@email.si>
2001-10-05
  Added TCVNkey.kmap Le.Hong.Boi@quantic.com.vn
  Added TCVNcombine.kmap Le.Hong.Boi@quantic.com.vn
2001-08-29
  Added yudit-2.4.patch5.txt 
  Added new yudit.spec replacing Miroslaw Prywata <Miroslaw.Prywata@fuw.edu.pl>,
    from Bernhard Rosenkraenzer <bero@redhat.de>
    I've just tried to compile Yudit on a current Red Hat Linux 
    system - the code itself works nicely, but the spec file is 
    quite broken.  It hardcodes %{prefix}/man (which doesn't 
    exist on FHS compliant systems, such as RHL >= 7.0), doesn't 
    build as normal user and contains all localizations unconditionally.
2001-08-23
  Added CS-dead.kmap
  Added Czech.kmap
  Added Hungarian-prefix.kmap
  RU-javerty.kmap
  RU-translit.kmap
  SK.kmap  
     from Radovan Garabík <garabik@melkor.dnp.fmph.uniba.sk>
2001-08-19
  FAQ-fi.TXT from Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
2001-08-16
  Added yudit-2.4.patch4.txt by Dirk Bhagat
    I've downloaded and installed Yudit on Linux, yudit-2.4.tar.gz off the
    yudit.org website.  There is a nasty typo where you call getpwuid using
    getpid() instead of getuid().
 
    This makes yudit try to write files into random homedirs. If you run it as
    root, this is a root exploit, since someone could simply link a .yudit 
    file to /etc/passwd and wait for the fun to begin.
2001-08-14
  Added yudit-2.4.patch3.txt - Fixed misinformation.
2001-07-28
  Added smeTeX.kmap from <Regnor.Jernsletten@sami.uit.no>
2001-07-04
  Added SR-Cyrillic.kmap Jernej Kovacic (jkovacic@email.si)
2001-07-03
  Added yudit-2.4.patch2.txt
    from Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
      There was a bug in Yudit 2.4 concerning certain TTF fonts. 
      I was able to solve the problem after all (it wasn't a memory leak) 
      and since there has been no new distribution (and not even a patch) 
      of the programme after that time, I assume that this bug might still 
      be there and I should inform you about it.
  Added messages-cz.po from Joe Man <trmetal@yahoo.com.hk>
2001-06-16
  Modified TeX.kmap by
    Jernej Kovacic <jkovacic@email.si> added ex-Yugoslav characters
2001-05-20
  Added ASCII-IPA.kmap from immy Kaplowitz <jimmy@kaplowitz.org>
2001-04-05 
  Added Russian-ISO-Translit.kmap
    from Thomas Henlich <thenlich@web.de>
2001-04-01 
  Added yudit-2.4.patch1.txt
    from Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
    I fixed a nasty bug that has been irritating me for a while now. 
    This bug occurs when keyboard input contains characters >= 0x80. 
    So, when I for example press a key on my keyboard which generates 
    0xf6 (o umlaut), the editor interprets it as U+FFF6. If I have a 
    kmap file where the 0xf6 is a part of a sequence, such as "0xf6_" 
    to generate U+022B, the editor interprets it as U+FFFFFFF6. So, 
    there is only a problem with signed and unsigned characters,
    which is fixed by applying the patch attached to this message. 
  Added messages-fi.po
    from Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
2001-03-30 
  Added FAQ-cz.TXT from Ondrej Karny <opal@terezinstudies.cz>
  Added Croatian.kmap from Thomas Henlich <thenlich@web.de>
2001-04-06
  Added Russian-ISO-Translit.kmap from Thomas Henlich <henlich@mmers1.mw.tu-dresden.de> 
2001-04-01
  Added Finnish Message and Finnish FAQ, yudit-2.4.patch1 from
      Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
2001-03-31
  Added Croatian kmap from Thomas Henlich <henlich@mmers1.mw.tu-dresden.de>
2001-03-30
  Added Azeri menu from Vasif Cabbarli <azerb_linux@hotmail.com>  
  Adeed Chineese menu translations and FAQ.txt
     from thomas.wohlfarth@usa.net
2001-03-23
  Added prefix option to rpm - spec file provided by 
    Miroslaw Prywata <Miroslaw.Prywata@fuw.edu.pl>
2001-03-17
  Renamed yudit-2.4.beta-8 yudit-2.4
  moved yudit-2.4.beta-9 (arabic experiments) to yudit-2.5.beta-1
  Release ready
2001-03-05
  Added Spanish menu translations from Juan
2001-03-03
  Added a brand new Belarusian.kmap from
      Alexander Mikhailian <mikhailian@altern.org>
  Make improvement in X11 bitmap font rendering:
    66ms -> 24 ms
  by trimming extranous X11 traffic.
  Needed SObject destructor to fix memory leak.
2001-03-01
  Added new sr-messages.po from Slobodan
  Added new de-messages.po from Thomas
2001-02-28
  Added new yi-messages.po from Raphael.
  Added new fr-messages.po from Faucheux 
2001-02-27
  XKB_iso8859-4 kmap removed. Use iso-8859-2
  The KOI-8 map will not be removed becuase it contains stuff ,, ''
  Added yudit-2.4.beta-3/mytool/uni/windows-1255.txt
   from Michael J. Radwin <michael@radwin.org> 
  Applied yudit-2.3-3.diff profiling patch from 
    Ondrej Karny <opal@terezinstudies.cz>
  read remarks in todo
2001-02-15
  Fixed bug printing 0x1fa missing glyph (99) in broken arial.ttf
  Added Input Method selector dialog
  Added STextTable dialog
  Fixe Kana.kmap so that it would have \ instead of <ESC>
  Applied all the pacthes  for 2.3 from Ondrej Karny <opal@terezinstudies.cz>
  - font drawing bug
  - MAP_FAILED not defined on HP/UX
  Added Spanish (es) FAQ and translations from
   Juan Rafael Fernández García <jrfern@bigfoot.com>
  Added Bulgarian (bg) translations and Bulgarian samples to TestPage.txt from
    Alexander Shopov <al_shopov@web.bg>
  Added French (fr) translation from 
    Olivier Faucheux <olivier.faucheux@etu.enseeiht.fr>
  Added Serbian (sr) translation from
    Slobodan Markovic <twiddle@EUnet.yu>
2001-02-12
  empty replace added
  replace text "" 
2001-02-11
  Added
   yudit.command.font
   yudit.command.fontsize
   Slovenian translations (sl) from  Roman Maurer <roman.maurer@amis.net>
  made toolbar labels wider
  syntax focus changed
  enter now quits dialogs except question dialog.
  Fixed SBHashtable::cleanup() bug
  turned on cahcing in swindow/SFontImpl.cpp
  this should save some memory.
  Azeri translations updated
2001-02-10
  Really found the timer bug. It vas in SBVector::find.
  Rearranged message bar.
  Return is ok in filemanager if pressed in filename input.
  Now if a text is selected, and direction is changed, the
  Selected text will change its direction.  
  Updated updated German translations from Thomas Wohlfarth <tom_wolf@gmx.net>
2001-02-09
  Fixed TTF bug
  Compiled on FreeBSD
  Renamed simple to stoolkit to make it compilable in FreeBSD
  Added stuff to make it complable on other platforms too.
2001-02-08
 Added (Yiddish) yi/FAQ.TXT and locale yi from 
      rfinkel@mail.csse.monash.edu.au (Raphael Finkel)
2001-02-07
  Added X11 event handler for robustness
  Fixed TTF dump bug.
  Fixed SEventBSD (again)ing
2001-02-06 
  Remade SEventBSD SClient - it uses UniqueID. The "miracle" message
  should not appear now. (It failed when the timer was removed and the
  same memory block was allocated again.
  Added command line howto <something>
  Started HOWTO-install.txt
2001-02-05
  Devanagari By Sanjay Khatri <sanjay@webveda.com>
  Non-spacing multi-level compositions (gaspar)
2001-02-03 
  FileDialog and message dialog is 'usable'.
  Composition works - as compositions can work at all.
  Fixed "\"" escape bug.
  Removed saving file.
2001-02-02
  Added 8859-9e.TXT received from "Vasif Cabbarli" <azerb_linux@hotmail.com>
  Added Azeri.kmap received from "Vasif Cabbarli" <azerb_linux@hotmail.com>
  Added az/messages.po
  mv Hellenic.kmap GreekPolytonic.kmap
2001-02-01
  Added composing support (up to 2 characters - easy to extend
  Added Hellenic.kmap from  Antonis Tsolomitis <atsol@iris.math.aegean.gr>
  Removed Polytonic.kmap on request from  Constantine cstath@irismedia.gr
2001-01-30
  Received a lot of advice and a better Hebrew kmap from Raphael Finkel
  Created STexDataBD.cpp to mode the bidi part of textdata.
  Simplified text line split.
2001-01-23
  Fixed caret background bug (not getting set)
  Started to write an SFiiler.cpp  
2001-01-22
  Added missing mytool/uni/gb-2312-l.my
  Added missing mytool/uni/gb-2312-r.my
  Added file encoding on top
  Made it slimmer
  Added to  yudit.properties:
      yudit.label.foreground
      yudit.title.foreground
      yudit.default.font
      yudit.default.fontsize
      yudit.editor.showbreak
  found cordump bug that happenned when selecting sg and opening a new file.
  Added Hungarian and Japanese FAQ
2001-01-22
  Added de/FAQ.TXT from Thomas Wohlfarth <tom_wolf@gmx.net>
  Added de/LC_MESSAGES/messages.po from Thomas.
  Updated doc/TestPage.txt from Thomas
2001-01-22
  Applied patch from  Ričardas Čepas <rch@richard.eu.org>
  (FreeBSD compile)
2001-01-21
  Added Dnd protocol for old KDE (a mere hack)
2001-01-20
  Added xdnd support.
2001-01-19
  Applied patch 0-4 and updated version to 2.2
2000-01-12
  Started a new CHANGELOG  for yudit-2.0
